cancel
Showing results for 
Search instead for 
Did you mean: 

Swagger broken after upgrade to 2.3.5. Get Failed to load API definition.

Highlighted

Swagger broken after upgrade to 2.3.5. Get Failed to load API definition.

Hi,

 

We have just upgraded from Magento 2.3 CE to 2.3.5 and we are unable to get the default services from swagger, it returns

 

Get Failed to load API definition.

Internal Server Error http://{domain}/rest/all/schema?services=all

 

The link it provided https://validator.swagger.io/validator/debug?url=http://{domain}/rest/all/schema?services=all

Result:-

{"schemaValidationMessages":[{"level":"error","message":"Can't read from file http://{domain}/rest/all/schema?services=all"}]}

 

Replaced our domain in the results above with {domain} for security

 

Bit of a newbie on this, any idea on how to debug  or what log files to look at?

 

Thanks

 

Andrew